Bug 437809 - rt2500 driver missing links in sysfs (possibly missing SET_NETDEV_DEV)
rt2500 driver missing links in sysfs (possibly missing SET_NETDEV_DEV)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
All Linux
low Severity urgent
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-17 11:20 EDT by Edward Karavakis
Modified: 2008-07-10 13:32 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-10 13:32:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the problem (102.36 KB, image/png)
2008-03-18 18:59 EDT, Edward Karavakis
no flags Details
output of the tree command (5.48 KB, text/plain)
2008-03-20 12:55 EDT, Edward Karavakis
no flags Details
dmesg & iwlist wlan0 scan (3.69 KB, text/plain)
2008-04-10 14:56 EDT, Edward Karavakis
no flags Details

  None (edit)
Description Edward Karavakis 2008-03-17 11:20:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8.1.12) Gecko/20080208 Fedora/2.0.0.12-1.fc8 Firefox/2.0.0.12

Description of problem:
NetworkManager stopped working here after updating and rebooting the system. When I login, the gnome-keyring is not running any more. If I right click on the nm-applet icon there's no Enable Wireless option anymore for some unknown reason. I'm using the rt73usb module. The ethernet is working fine though. The problem is that I can see the wlan0 from ifconfig and I can scan for available ap's using # iwlist wlan0 scan. I tried both 2.6.24.3-34 and 2.6.24.38 kernels. The wireless was working perfectly with these two kernels and NetworkManager prior the latest software update. Is it a HAL bug? Any tip?

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0-0.6.7.svn3370.fc8

How reproducible:
Always


Steps to Reproduce:
1. yum -y update
2. reboot
3. The 'enable wireless' option is disabled on nm-applet

Actual Results:
There's no 'enable wireless' option on nm-applet. Wireless is not working. I'm using the r73usb module.

Expected Results:
Wireless should work

Additional info:
Comment 1 Edward Karavakis 2008-03-18 07:21:27 EDT
I will attach a screenshot today. I have downgraded NetworkManager-*, hal-* but
nothing changed... still no "Enable Wireless" option on the nm-applet... I guess
I will downgrade dbus-* as well and see what happens..
Comment 2 Brian Morrison 2008-03-18 09:21:16 EDT
I am seeing a similar situation with 2.6.24.3-12.fc8 and 2.6.24.3-34.fc8
kernels, in both cases NetworkManager simply fails to connect to my AP where it
worked perfectly with 2.6.23.15-137.fc8, the apparent failure is a timeout in
NM. I have tried the latest NetworkManager rpms in updates-testing (those with
svn3370 in their names) but there is no change to the behaviour seen.

First of all a good association log, using the 2.6.23.15-137 kernel:

Mar 15 23:21:09 fangio NetworkManager: <info>  starting...
Mar 15 23:21:09 fangio NetworkManager: <info>  Found radio killswitch
/org/freedesktop/Hal/devices/ipw_wlan_switch
Mar 15 23:21:09 fangio NetworkManager: <info>  eth0: Device is fully-supported
using driver 'sky2'.
Mar 15 23:21:09 fangio NetworkManager: <info>  Now managing wired Ethernet
(802.3) device 'eth0'.
Mar 15 23:21:09 fangio NetworkManager: <info>  Bringing up device eth0
Mar 15 23:21:09 fangio NetworkManager: <info>  Deactivating device eth0.
Mar 15 23:21:09 fangio NetworkManager: <info>  (eth0): exporting device as
/org/freedesktop/Hal/devices/net_00_e0_b8_c5_e6_f4
Mar 15 23:21:09 fangio NetworkManager: <info>  wlan0: Device is fully-supported
using driver 'iwl3945'.
Mar 15 23:21:09 fangio NetworkManager: <info>  wlan0: driver supports SSID scans
(scan_capa 0x01).
Mar 15 23:21:09 fangio NetworkManager: <info>  Now managing wireless (802.11)
device 'wlan0'.
Mar 15 23:21:09 fangio NetworkManager: <info>  Bringing up device wlan0
Mar 15 23:21:09 fangio NetworkManager: <info>  Deactivating device wlan0.
Mar 15 23:21:09 fangio NetworkManager: <info>  (wlan0): exporting device as
/org/freedesktop/Hal/devices/net_00_19_d2_83_aa_bd
Mar 15 23:21:15 fangio NetworkManager: <info>  Trying to start the supplicant...
Mar 15 23:21:15 fangio NetworkManager: <info>  (eth0) supplicant interface is
now in state 1 (from 0).
Mar 15 23:21:15 fangio NetworkManager: <info>  (wlan0) supplicant manager is now
in state 1 (from 0).
Mar 15 23:21:15 fangio NetworkManager: <info>  (eth0) supplicant interface is
now in state 2 (from 1).
Mar 15 23:21:15 fangio NetworkManager: <info>  (wlan0) supplicant interface is
now in state 2 (from 1).
Mar 15 23:22:58 fangio NetworkManager: <info>  SWITCH: no current connection,
found better connection 'Auto f3nr1r (wlan0)'.
Mar 15 23:22:58 fangio NetworkManager: <info>  Activating device wlan0
Mar 15 23:22:58 fangio NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) scheduled...
Mar 15 23:22:58 fangio NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) started...
Mar 15 23:22:58 fangio NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) scheduled...
Mar 15 23:22:58 fangio NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) complete.
Mar 15 23:22:58 fangio NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) starting...
Mar 15 23:22:58 fangio NetworkManager: <info>  Activation (wlan0/wireless):
access point 'Auto f3nr1r' has security, but secrets are required.
Mar 15 23:22:58 fangio NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete.
Mar 15 23:23:08 fangio NetworkManager: Missing or invalid key management
Mar 15 23:23:08 fangio NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) scheduled...
Mar 15 23:23:08 fangio NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) started...
Mar 15 23:23:08 fangio NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) scheduled...
Mar 15 23:23:08 fangio NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) complete.
Mar 15 23:23:08 fangio NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) starting...
Mar 15 23:23:08 fangio NetworkManager: <info>  Activation (wlan0/wireless):
connection 'Auto f3nr1r' has security, and secrets exist.  No new secrets needed.
Mar 15 23:23:08 fangio NetworkManager: <info>  Config: added 'ssid' value 'f3nr1r'
Mar 15 23:23:08 fangio NetworkManager: <info>  Config: added 'key_mgmt' value
'WPA-PSK'
Mar 15 23:23:08 fangio NetworkManager: <info>  Config: added 'psk' value '<omitted>'
Mar 15 23:23:08 fangio NetworkManager: <info>  Config: added 'proto' value 'WPA RSN'
Mar 15 23:23:08 fangio NetworkManager: <info>  Config: added 'pairwise' value
'TKIP CCMP'
Mar 15 23:23:08 fangio NetworkManager: <info>  Config: added 'group' value
'WEP40 WEP104 TKIP CCMP'
Mar 15 23:23:08 fangio NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete.
Mar 15 23:23:08 fangio NetworkManager: <info>  Config: set interface ap_scan to 1
Mar 15 23:23:08 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 1 -> 2
Mar 15 23:23:11 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 2 -> 3
Mar 15 23:23:11 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 3 -> 4
Mar 15 23:23:13 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 4 -> 0
Mar 15 23:23:13 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 0 -> 2
Mar 15 23:23:16 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 2 -> 3
Mar 15 23:23:16 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 3 -> 4
Mar 15 23:23:16 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 4 -> 5
Mar 15 23:23:16 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 5 -> 6
Mar 15 23:23:17 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 6 -> 7
Mar 15 23:23:17 fangio NetworkManager: <info>  Activation (wlan0/wireless) Stage
2 of 5 (Device Configure) successful.  Connected to wireless network 'f3nr1r'.
Mar 15 23:23:17 fangio NetworkManager: <info>  Activation (wlan0) Stage 3 of 5
(IP Configure Start) scheduled.
Mar 15 23:23:17 fangio NetworkManager: <info>  Activation (wlan0) Stage 3 of 5
(IP Configure Start) started...
Mar 15 23:23:17 fangio NetworkManager: <info>  Activation (wlan0) Beginning DHCP
transaction.
Mar 15 23:23:17 fangio NetworkManager: <info>  dhclient started with pid 3437
Mar 15 23:23:17 fangio NetworkManager: <info>  Activation (wlan0) Stage 3 of 5
(IP Configure Start) complete.
Mar 15 23:23:17 fangio NetworkManager: <info>  DHCP: device wlan0 state changed
(null) -> preinit
Mar 15 23:23:17 fangio NetworkManager: <info>  DHCP: device wlan0 state changed
preinit -> bound
Mar 15 23:23:17 fangio NetworkManager: <info>  Activation (wlan0) Stage 4 of 5
(IP Configure Get) scheduled...
Mar 15 23:23:17 fangio NetworkManager: <info>  Activation (wlan0) Stage 4 of 5
(IP Configure Get) started...
Mar 15 23:23:17 fangio NetworkManager: <info>    address 10.0.0.4
Mar 15 23:23:17 fangio NetworkManager: <info>    netmask 255.0.0.0
Mar 15 23:23:17 fangio NetworkManager: <info>    broadcast 10.255.255.255
Mar 15 23:23:17 fangio NetworkManager: <info>    gateway 10.0.0.64
Mar 15 23:23:17 fangio NetworkManager: <info>    nameserver '10.0.0.1'
Mar 15 23:23:17 fangio NetworkManager: <info>    nameserver '10.0.0.2'
Mar 15 23:23:17 fangio NetworkManager: <info>    domain name 'fenrir.org.uk'
Mar 15 23:23:17 fangio NetworkManager: <info>    nis domain 'fenrir.org.uk'
Mar 15 23:23:17 fangio NetworkManager: <info>  Activation (wlan0) Stage 5 of 5
(IP Configure Commit) scheduled...
Mar 15 23:23:17 fangio NetworkManager: <info>  Activation (wlan0) Stage 4 of 5
(IP Configure Get) complete.
Mar 15 23:23:17 fangio NetworkManager: <info>  Activation (wlan0) Stage 5 of 5
(IP Configure Commit) started...
Mar 15 23:23:19 fangio NetworkManager: <info>  Activation (wlan0) successful,
device activated.
Mar 15 23:23:19 fangio NetworkManager: <info>  Activation (wlan0) Stage 5 of 5
(IP Configure Commit) complete.
Mar 15 23:24:57 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 7 -> 6
Mar 15 23:24:57 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 6 -> 7
Mar 15 23:29:54 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 7 -> 6
Mar 15 23:29:54 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 6 -> 7
Mar 15 23:34:43 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 7 -> 6
Mar 15 23:34:43 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 6 -> 7
Mar 15 23:39:42 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 7 -> 6
Mar 15 23:39:42 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 6 -> 7

And now a log of the failing case, actually this was using 2.6.24.3-12.fc8 but
2.6.24.3-34.fc8 is no different:

Mar 15 23:43:31 fangio NetworkManager: <info>  starting...
Mar 15 23:43:31 fangio NetworkManager: <info>  Found radio killswitch
/org/freedesktop/Hal/devices/ipw_wlan_switch
Mar 15 23:43:31 fangio NetworkManager: <info>  eth0: Device is fully-supported
using driver 'sky2'.
Mar 15 23:43:31 fangio NetworkManager: <info>  Now managing wired Ethernet
(802.3) device 'eth0'.
Mar 15 23:43:31 fangio NetworkManager: <info>  Bringing up device eth0
Mar 15 23:43:31 fangio NetworkManager: <info>  Deactivating device eth0.
Mar 15 23:43:31 fangio NetworkManager: <info>  (eth0): exporting device as
/org/freedesktop/Hal/devices/net_00_e0_b8_c5_e6_f4
Mar 15 23:43:31 fangio NetworkManager: <info>  wlan0: Device is fully-supported
using driver 'iwl3945'.
Mar 15 23:43:31 fangio NetworkManager: <info>  wlan0: driver supports SSID scans
(scan_capa 0x01).
Mar 15 23:43:31 fangio NetworkManager: <info>  Now managing wireless (802.11)
device 'wlan0'.
Mar 15 23:43:31 fangio NetworkManager: <info>  Bringing up device wlan0
Mar 15 23:43:32 fangio NetworkManager: <info>  Deactivating device wlan0.
Mar 15 23:43:32 fangio NetworkManager: <info>  (wlan0): exporting device as
/org/freedesktop/Hal/devices/net_00_19_d2_83_aa_bd
Mar 15 23:43:37 fangio NetworkManager: <info>  Trying to start the supplicant...
Mar 15 23:43:38 fangio NetworkManager: <info>  (eth0) supplicant interface is
now in state 1 (from 0).
Mar 15 23:43:38 fangio NetworkManager: <info>  (wlan0) supplicant manager is now
in state 1 (from 0).
Mar 15 23:43:38 fangio NetworkManager: <info>  (eth0) supplicant interface is
now in state 2 (from 1).
Mar 15 23:43:38 fangio NetworkManager: <info>  (wlan0) supplicant interface is
now in state 2 (from 1).
Mar 15 23:44:01 fangio NetworkManager: <info>  SWITCH: no current connection,
found better connection 'Auto f3nr1r (wlan0)'.
Mar 15 23:44:01 fangio NetworkManager: <info>  Activating device wlan0
Mar 15 23:44:01 fangio NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) scheduled...
Mar 15 23:44:01 fangio NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) started...
Mar 15 23:44:01 fangio NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) scheduled...
Mar 15 23:44:01 fangio NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) complete.
Mar 15 23:44:01 fangio NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) starting...
Mar 15 23:44:01 fangio NetworkManager: <info>  Activation (wlan0/wireless):
access point 'Auto f3nr1r' has security, but secrets are required.
Mar 15 23:44:01 fangio NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete.
Mar 15 23:44:06 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 2 -> 1
Mar 15 23:44:08 fangio NetworkManager: Missing or invalid key management
Mar 15 23:44:08 fangio NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) scheduled...
Mar 15 23:44:08 fangio NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) started...
Mar 15 23:44:08 fangio NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) scheduled...
Mar 15 23:44:08 fangio NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) complete.
Mar 15 23:44:08 fangio NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) starting...
Mar 15 23:44:08 fangio NetworkManager: <info>  Activation (wlan0/wireless):
connection 'Auto f3nr1r' has security, and secrets exist.  No new secrets needed.
Mar 15 23:44:08 fangio NetworkManager: <info>  Config: added 'ssid' value 'f3nr1r'
Mar 15 23:44:08 fangio NetworkManager: <info>  Config: added 'key_mgmt' value
'WPA-PSK'
Mar 15 23:44:08 fangio NetworkManager: <info>  Config: added 'psk' value '<omitted>'
Mar 15 23:44:08 fangio NetworkManager: <info>  Config: added 'proto' value 'WPA RSN'
Mar 15 23:44:08 fangio NetworkManager: <info>  Config: added 'pairwise' value
'TKIP CCMP'
Mar 15 23:44:08 fangio NetworkManager: <info>  Config: added 'group' value
'WEP40 WEP104 TKIP CCMP'
Mar 15 23:44:08 fangio NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete.
Mar 15 23:44:08 fangio NetworkManager: <info>  Config: set interface ap_scan to 1
Mar 15 23:44:08 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 1 -> 2
Mar 15 23:44:10 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 2 -> 3
Mar 15 23:44:25 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 3 -> 0
Mar 15 23:44:25 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 0 -> 2
Mar 15 23:44:28 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 2 -> 3
Mar 15 23:44:33 fangio NetworkManager: <info>  Activation (wlan0/wireless):
association took too long, asking for new key.
Mar 15 23:44:33 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 3 -> 0
Mar 15 23:44:45 fangio NetworkManager: <info>  wlan0: link timed out.
Mar 15 23:44:58 fangio NetworkManager: <info>  (wlan0) Supplicant interface
state change: 0 -> 2

It's not clear where the problem lies, I'm happy to debug some more but probably
need some guidance on what to capture.
Comment 3 Edward Karavakis 2008-03-18 10:19:11 EDT
wlan0 is still wlan0 (it's not renamed to wlan1 or whatever) and there are no
ifcfg-*.bak files at all. wlan0 and eth0 were supposed to be controlled by NM
but apparently NM is not handling my rt73usb edimax wireless anymore. If you
right click on the nm-applet there's no "Enable Wireless" option for some
reason... there's just the "Enable networking" option, thus, ethernet is working
fine.

There's no wireless device on the nm-applet at all. I can only scan for
available AP's using #iwlist wlan0 scan. 
Comment 4 Edward Karavakis 2008-03-18 10:53:48 EDT
I will also try the latest 2.6.24.3-40 kernel but I don't think it's a kernel issue.
Comment 5 Brian Morrison 2008-03-18 13:07:47 EDT
I can definitely see the Enable Wireless selection on the NM applet, so maybe
this isn't the same problem in my case.

Will try and post further clarifications when I can.
Comment 6 Edward Karavakis 2008-03-18 18:59:34 EDT
Created attachment 298460 [details]
Screenshot of the problem

Screenshot of the problem. hope it helps.
Comment 7 Edward Karavakis 2008-03-18 19:01:36 EDT
I've also tried to downgrade to the previous version of dbus and I've installed
the latest 2.6.24.3-40 kernel but still no change. 
Comment 8 Dan Williams 2008-03-19 10:01:38 EDT
Edward: can you post the output of /usr/bin/nm-tool ?
Comment 9 Edward Karavakis 2008-03-19 15:22:53 EDT
# /usr/bin/nm-tool
NetworkManager Tool

State: disconnected

- Device: eth0 ----------------------------------------------------------------
  Type:              Wired
  Driver:            skge
  Active:            no
  HW Address:        00:13:D4:19:60:3F

  Capabilities:
    Supported:       yes
    Carrier Detect:  yes
    Speed:           65535 Mb/s

  Wired Settings


Comment 10 Edward Karavakis 2008-03-19 15:27:00 EDT
Should I try the latest NM 0.7.0-0.9.1.svn3476.fc9 build? 
Comment 11 Dan Williams 2008-03-19 18:15:47 EDT
Yeah, please do; but the nm-tool output indicates that NM doesn't know anything
about your wireless device.  When this problem appears again, can you run
"lshal" and attach the output?  Note that this will potentially expose the MAC
addresses of your network cards, so feel free to mail it to me directly.

It seems like the driver isn't cooperating with HAL, and since NM asks HAL for
the devices it knows, it won't show up in NM unless it's shown in HAL.
Comment 12 Edward Karavakis 2008-03-19 19:24:50 EDT
I have just attached the output of the lshal command. Please check your email.
My first guess was that this problem happened after updating
hal-info-20080215-2.fc8 and hal-0.5.10-1.fc8.2. I'll downgrade to the previous
version of hal and see what happens.. please let me know if you require any
additional info.
Comment 13 Edward Karavakis 2008-03-19 20:44:04 EDT
I have downgraded hal, hal-libs, hal-devel and hal-info but nothing
changed...it's so weird...everything was working more than fine prior the
update... any clue?
Comment 14 Edward Karavakis 2008-03-19 20:45:28 EDT
I will send you the lshal output of the previous version of hal as well..
Comment 15 Edward Karavakis 2008-03-20 09:11:28 EDT
I have updated to the latest development versions of: NetworkManager-*,
hal-info, dbus-*, system-config-network but again nothing worked out.
Comment 16 Dan Williams 2008-03-20 11:01:48 EDT
So this is a kernel problem it appears.  HAL doesn't have the required
"info.linux.driver" key for the rt2x00 device, which means the driver itself is
missing the SET_NETDEV_DEV() call, which means it's missing the driver link in
sysfs.  Could you confirm by doing 'yum install tree' and then:

tree /sys/class/net/wlan0/device

for me?  There should be a symlink in that directory called 'driver' pointing to
the right place, like so:

[dcbw@localhost ~]$ tree /sys/class/net/eth2/device/
/sys/class/net/eth2/device/
|-- broken_parity_status
|-- bus -> ../../../../bus/pci
|-- cfg
|-- channels
|-- class
|-- cmd_log
|-- command_event_reg
|-- config
|-- device
|-- direct_dword
|-- driver -> ../../../../bus/pci/drivers/ipw2200
|-- eeprom_delay
|-- enable
|-- error
|-- event_log
|-- indirect_byte
|-- indirect_dword
|-- irq
|-- led
|-- local_cpus
|-- mem_gpio_reg
|-- modalias
|-- msi_bus
|-- net:eth2 -> ../../../../class/net/eth2
|-- net_stats
|-- nic_type
|-- power
|   `-- wakeup
|-- resource
|-- resource0
|-- rf_kill
|-- rtap_filter
|-- rtap_iface
|-- rtc
|-- scan_age
|-- speed_scan
|-- status
|-- subsystem -> ../../../../bus/pci
|-- subsystem_device
|-- subsystem_vendor
|-- ucode_version
|-- uevent
`-- vendor
Comment 17 Edward Karavakis 2008-03-20 12:55:05 EDT
Created attachment 298714 [details]
output of the tree command

output of the tree command
Comment 18 Edward Karavakis 2008-04-09 17:53:36 EDT
any updates on the issue?
Comment 19 John W. Linville 2008-04-10 07:35:05 EDT
The output in comment 17 looks like the driver link is there.  FWIW the 
SET_NETDEV_DEV is handled in the mac80211 code, so if that were the issue then 
all the mac80211-based devices would exhibit the same issue...?
Comment 20 Dan Williams 2008-04-10 12:58:21 EDT
Do you have an ifcfg file in /etc/sysconfig/network-scripts/ for your wireless
device, and does it have the line "NM_CONTROLLED=no" in it?
Comment 21 Edward Karavakis 2008-04-10 14:50:15 EDT
yes I've got the ifcfg-wlan0 file and it's NM_CONTROLLED=yes
Comment 22 Edward Karavakis 2008-04-10 14:56:45 EDT
Created attachment 302051 [details]
dmesg & iwlist wlan0 scan

additional info
dmesg & iwlist wlan0 scan
Comment 23 Dan Williams 2008-04-10 18:43:53 EDT
Ok, can you then run 'lshal --monitor' in a terminal, and while NM sees the
card, unplug it, wait a bit, then replug it, and post the log here?
Comment 24 Edward Karavakis 2008-04-11 04:40:35 EDT
$ lshal --monitor

Start monitoring devicelist:
-------------------------------------------------
10:35:22.702: net_00_0e_2e_9f_85_76_0 removed
10:35:22.966: net_00_0e_2e_9f_85_76 removed
10:35:22.970: usb_device_148f_2573_noserial_if0 removed
10:35:22.975: usb_device_148f_2573_noserial removed
10:35:28.613: usb_device_148f_2573_noserial added
10:35:28.786: usb_device_ffffffff_ffffffff_noserial added
10:35:29.793: net_00_0e_2e_9f_85_76 added
Comment 25 Edward Karavakis 2008-04-18 09:36:55 EDT
I'm gonna install Fedora 9 preview release in a few hours to check if this
problem exists on Fedora 9 as well. I'll let you know

Note You need to log in before you can comment on or make changes to this bug.